Package org.eclipse.jdt.core.manipulation

# Interface ICleanUpFixCore

All Known Subinterfaces:
  `ICleanUpFix`

@Deprecated public interface ICleanUpFixCore
Deprecated.
Please use ICleanUpFix in the future
A clean up fix calculates a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.

Since:
  1.12

## Method Summary

Modifier and Type
Method
Description
`CompilationUnitChange`
`createChange(org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Deprecated.
Calculates and returns a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.

## Method Details

### createChange

CompilationUnitChange createChange(org.eclipse.core.runtime.IProgressMonitor progressMonitor) throws org.eclipse.core.runtime.CoreException
Deprecated.
Calculates and returns a `CompilationUnitChange` which can be applied on a document to fix one or more problems in a compilation unit.

Parameters:
  `progressMonitor` - the progress monitor or `null` if none
Returns:
  a compilation unit change change which should not be empty
Throws:
  `org.eclipse.core.runtime.CoreException` - if something went wrong while calculating the change